Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class HypothesisTest2MeanSigmaKnown

    java.lang.Object
      org.statcato.statistics.inferential.HypothesisTest2MeanSigmaKnown

    public class HypothesisTest2MeanSigmaKnown

extends java.lang.Object

A hypothesis test for 2 population means (population standard deviations sigmas known).

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`HypothesisTest2MeanSigmaKnown(int n1, int n2, double xBar1, double xBar2, double sigma1, double sigma2, double diff, double confidenceLevel, int testType)` Constructor

Method Summary
`java.lang.String` | `criticalValue()` Returns the critical value corresponding to the given confidence level and type of test.
`double` | `pValue()` Returns the p-value in a z distribution.
`double` | `testStatistics()` Returns the test statistics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypothesisTest2MeanSigmaKnown

    public HypothesisTest2MeanSigmaKnown(int n1,
                                         int n2,
                                         double xBar1,
                                         double xBar2,
                                         double sigma1,
                                         double sigma2,
                                         double diff,
                                         double confidenceLevel,
                                         int testType)

  Constructor

  Parameters:
    `n1` - sample size 1
    `n2` - sample size 2
    `xBar1` - sample mean 1
    `xBar2` - sample mean 2
    `sigma1` - population standard deviation 1
    `sigma2` - population standard deviation 2
    `diff` - hypothesized difference in population mean
    `confidenceLevel` - confidence level
    `testType` - type of test (as defined in `HypothesisTest`)

Method Detail

### testStatistics

    public double testStatistics()

  Returns the test statistics.

  Returns:
    test statistic t score

### criticalValue

    public java.lang.String criticalValue()

  Returns the critical value corresponding to the given confidence level and type of test. Uses the z distribution.

  Returns:
    critical value
  See Also:
    `HypothesisTest`

### pValue

    public double pValue()

  Returns the p-value in a z distribution.

  Returns:
    p-value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD